/* numberのスピンボタン非表示 */
/* Chrome, Safari */
input[type="number"]::-webkit-outer-spin-button,
input[type="number"]::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* FireFox, IE */
input[type="number"] {
    -moz-appearance: textfield;
}

.datatable td, th {
    white-space: nowrap;
}

.datatable th.bottom-bordered {
    border-bottom: 1px solid #dee2e6 !important;
}

.marquee-container {
    overflow: hidden;
}

.marquee-text {
    white-space: nowrap;
    transform: translateX(100%);
    animation: marquee 30s linear infinite;
}

@keyframes marquee {
    0% {
        -moz-transform: translateX(100%);
        -webkit-transform: translateX(100%);
        transform: translateX(100%);
    }

    100% {
        -moz-transform: translateX(-200%);
        -webkit-transform: translateX(-200%);
        transform: translateX(-200%);
    }
}

@media (max-width: 1199.98px) {
    body:not(.sidebar-mini-md):not(.sidebar-mini-xs):not(.layout-top-nav) .content-wrapper,
    body:not(.sidebar-mini-md):not(.sidebar-mini-xs):not(.layout-top-nav) .main-footer,
    body:not(.sidebar-mini-md):not(.sidebar-mini-xs):not(.layout-top-nav) .main-header {
        margin-left: 0;
    }
}

@media (min-width: 991.98px) {
    .sidebar-mini-md .content-wrapper,
    .sidebar-mini-md .main-footer,
    .sidebar-mini-md .main-header {
        transition: margin-left 0.3s ease-in-out;
        margin-left: 250px;
    }
}

@media (max-width: 1199.98px) {
    .sidebar-open #sidebar-overlay {
        display: block;
    }
    .label-variant {
        font-size: .875rem !important;
    }
}

/*@media (max-width: 1312px) {
    .label-variant {
        font-size: .875rem !important;
    }
}*/

.alert-danger {
    background-color: #f8d7da;
}

/*フォーム値がエラーの場合に枠を赤く表示*/
.input-validation-error {
  border-color: red;
}
